StreamingExecutionControl (Java SE 12 & JDK 12 )
Keywords: jdk.jshell.execution.StreamingExecutionControl class

Module jdk.jshell
Package jdk.jshell.execution

## Class StreamingExecutionControl

- java.lang.Object
- - jdk.jshell.execution.StreamingExecutionControl

- All Implemented Interfaces:
    `AutoCloseable`, `ExecutionControl`
  Direct Known Subclasses:
    `JdiExecutionControl`

      public class StreamingExecutionControl
      extends Object
      implements ExecutionControl

  An implementation of the `ExecutionControl` execution engine SPI which streams requests to a remote agent where execution takes place.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.jshell.spi.ExecutionControl

      `ExecutionControl.ClassBytecodes, ExecutionControl.ClassInstallException, ExecutionControl.EngineTerminationException, ExecutionControl.ExecutionControlException, ExecutionControl.InternalException, ExecutionControl.NotImplementedException, ExecutionControl.ResolutionException, ExecutionControl.RunException, ExecutionControl.StoppedException, ExecutionControl.UserException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamingExecutionControl​(ObjectOutput out, ObjectInput in)` | Creates an instance.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the execution engine.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface jdk.jshell.spi.ExecutionControl

      `addToClasspath, extensionCommand, invoke, load, redefine, stop, varValue`

- - ### Constructor Detail

    - #### StreamingExecutionControl

          public StreamingExecutionControl​(ObjectOutput out,
                                           ObjectInput in)

      Creates an instance.
      Parameters:
        `out` - the output for commands
        `in` - the input for command responses

  - ### Method Detail

    - #### close

          public void close()

      Closes the execution engine. Send an exit command to the remote agent.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ExecutionControl`